## Condition the clocks on the MCB
mcbseqEnable=0   # Kill the sequencer run flag
mcbBkplnSlct=0   # for a 6 slot backplane
acqClkEnbl=1     # Enable acquistion board System clock
clkClkEnbl=1     # Enable clock on clock and bias board

## Reset the boards to condition them
# resetCcd=1       # Reset the CCD acquisition board

# set sampling mode
set sampling singframe

# upload sequencer code
memory load sequencer file descb_6.2.ucd

# setup dacs and register values
macro acq12.mod -force 

# start the sequencer
mcbseqEnable=1   

# be sure we know where we start
set binning 1 1

# set it to multiple extensions
set image.extensions yes

# ensure we start with no roi defined
# macro noroi

