#!/bin/tcsh
#
#if ( "$0" !~ *tcsh ) then
#  echo $0
#  echo "Usage: source setup_fpa.csh"
#  echo "This script can not be properly run using ./setup_"
#  echo "and there is no telling what else will fail if you are not using tcsh"
#  exit
#endif
#
echo "fpas/_acq12 setup script"
#
# set up defaults. Note that since "every" focal plane
# will have the same defaults, you will not be able
# to run two focal planes, by hand, without managing
# the ports yourself...
#
if ( $?panhost == 0 ) then
 setenv panhost `hostname`
endif
if ( $?MULTPORT == 0 ) then
 setenv MULTPORT 5415
endif
if ( $?CMDPORT == 0 ) then
 setenv CMDPORT 5425
endif
if ( $?ASYNCPORT == 0 ) then
 setenv ASYNCPORT 5435
endif

setenv SISPI_FPA `pwd`
