vmap xilinxcorelib xilinxcorelib_lib
vmap unisim unisim_lib
vmap simprim simprim_lib
vcom -work work -2002 -explicit ../src/*.vhd
vcom -work work -2002 -explicit ../src/pix/*.vhd
vcom -work work -2002 -explicit ../src/seq/*.vhd
vcom -work work -2002 -explicit ../src/testbench/fullSysTb/image_pb.vhd
vcom -work work -2002 -explicit ../src/testbench/fullSysTb/*.vhd
vsim work.testbench
vcd files waves/hdlDHESimTop.vcd
vcd files waves/hdlDHESimMcbfull.vcd
vcd files waves/hdlDHESimAll.vcd
vcd add -file waves/hdlDHESimTop.vcd /testbench/*
vcd add -file waves/hdlDHESimMcbfull.vcd /testbench/mcb_inst/*
vcd add -r -file waves/hdlDHESimAll.vcd /testbench/*
run 10 ms
vcd flush waves/hdlDHESimTop.vcd
vcd flush waves/hdlDHESimMcbfull.vcd
vcd flush waves/hdlDHESimAll.vcd
vcd2wlf waves/hdlDHESimTop.vcd waves/hdlDHESimTop.wlf
vcd2wlf waves/hdlDHESimMcbfull.vcd waves/hdlDHESimMcbfull.wlf
vcd2wlf waves/hdlDHESimAll.vcd waves/hdlDHESimAll.wlf
quit -f

