vmap xilinxcorelib xilinxcorelib_lib
vmap unisim unisim_lib
vmap simprim simprim_lib
vcom -work work -2002 -explicit ../src/*.vhd
vcom -work work -2002 -explicit ../src/pix/*.vhd
vcom -work work -2002 -explicit ../src/seq/*.vhd
vcom -work work -2002 -explicit ../src/testbench/old/*.vhd
vsim work.mcbfull_timesim_tb
#add wave -divider "Top Simulation"
#add wave -noupdate /mcbfull_timesim_tb/*
add wave -divider mcbFull
add wave -noupdate -ports /mcbfull_timesim_tb/mcbfull_1/*
add wave -divider Sequencer
add wave -noupdate -ports /mcbfull_timesim_tb/mcbfull_1/topSeqFpga_1/*
add wave -divider syncChip
add wave -noupdate /mcbfull_timesim_tb/mcbfull_1/topSeqFpga_1/syncDelay_1/*
add wave -divider PersonalityModule
add wave -noupdate -ports /mcbfull_timesim_tb/mcbfull_1/topSeqFpga_1/PersonalityModule/*
add wave /mcbfull_timesim_tb/mcbfull_1/topSeqFpga_1/PersonalityModule/decode_vector
add wave -divider topPixFpga
add wave -noupdate -ports /mcbfull_timesim_tb/mcbfull_1/topPixFpga_1/*
add wave -divider "Sequencer mpu prog memo"
add wave -noupdate -ports /mcbfull_timesim_tb/mcbfull_1/topSeqFpga_1/seq_mpu_1/mpuprogrammemory/*
add wave -divider "Sequencer mpu pattern memo"
add wave -noupdate -ports /mcbfull_timesim_tb/mcbfull_1/topSeqFpga_1/seq_mpu_1/mpupatternmemory/*
run 4 ms
dataset save sim waves/hdlMcbSim.wlf
quit -f
